Prisma ORM 8 is here.Read the docs
Projects

Update project

Updates the project with the given ID.

PATCH/v1/projects/{id}

Updates the project with the given ID.

Authorization

AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Path Parameters

id*string
Match^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "type": "project",    "url": "http://example.com",    "name": "string",    "logicalId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "defaultRegion": "string",    "workspace": {      "id": "string",      "url": "http://example.com",      "name": "string"    }  }}